﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System.Drawing;

namespace WinGridWithExcelComments
{
    class GridCommentImageCreationFilter : IUIElementCreationFilter
    {

        #region IUIElementCreationFilter Members

        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is CellUIElement)
            {
                CellUIElement uieCell = (CellUIElement)parent;
                if (uieCell.Cell.Tag != null && uieCell.Cell.Tag.ToString() == "ShowCommentImage")
                {
                    ImageUIElement uieCommentImage = new ImageUIElement(uieCell, Image.FromFile(@"../../CommentImage.gif"));
                    uieCommentImage.Rect = new Rectangle(uieCell.RectInsideBorders.Right - 8, uieCell.RectInsideBorders.Top, 8, 8);
                    uieCell.ChildElements.Add(uieCommentImage);
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }

        #endregion
    }
}
